Skip to main content
cURL

Authorizations

Authorization
string
header
required

Opaque owner, CLI, or agent session token. Agent tokens are accepted only where marked.

Path Parameters

id
string
required
Pattern: ^mr_[0-9a-f]{32}$

Body

application/json

The body is of type object.

Response

Canonical mandate request.

schemaVersion
enum<integer>
required
Available options:
1
id
string
required
Pattern: ^mr_[0-9a-f]{32}$
status
enum<string>
required
Available options:
pending,
opened,
observing,
confirmed,
rejected,
expired,
failed
intent
object
required
createdAt
string<date-time>
required
expiresAt
string<date-time>
required
account
object
required
agent
object
required
preparation
object | null
required
confirmation
GasPolicyRecord · object | null
required
transactionHash
string | null
required
Pattern: ^0x[0-9a-fA-F]{64}$